Package org.h2.command.query

# Enum Class ForUpdate.Type

java.lang.Object
java.lang.Enum<ForUpdate.Type>
org.h2.command.query.ForUpdate.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<ForUpdate.Type>`, `Constable`

Enclosing class:
  `ForUpdate`

public static enum ForUpdate.Type extends Enum<ForUpdate.Type>
Type of FOR UPDATE clause.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEFAULT`
Use default lock timeout.
`NOWAIT`
Use zero timeout.
`SKIP_LOCKED`
Skip locked rows.
`WAIT`
Use specified lock timeout.

## Method Summary

Modifier and Type
Method
Description
`static ForUpdate.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ForUpdate.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEFAULT

public static final ForUpdate.Type DEFAULT
Use default lock timeout.

### WAIT

public static final ForUpdate.Type WAIT
Use specified lock timeout.

### NOWAIT

public static final ForUpdate.Type NOWAIT
Use zero timeout.

### SKIP_LOCKED

public static final ForUpdate.Type SKIP_LOCKED
Skip locked rows.

## Method Details

### values

public static ForUpdate.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ForUpdate.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null